Pesquisa resultou em 414 ocorrências

por ederson
Seg 08 Jun 2009 1:54:29 pm
Fórum: Dúvidas
Tópico: Alterar caminho de imagens inseridas no desenho!
Respostas: 1
Exibições: 603

Marcos, desta forma é possível mudar. Mas o desenho tem que estar aberto. [lsp](vla-get-ImageFile (vlax-ename->vla-object (car (entsel))))[/lsp] para obter o path, ou [lsp](vla-put-ImageFile (vlax-ename->vla-object (car (entsel))) "C:\\Users\\Ederson\\Desktop\\lisp.jpg")[/lsp] para setar o...
por ederson
Seg 08 Jun 2009 10:29:14 am
Fórum: Dúvidas
Tópico: lisp e comando "grpup"
Respostas: 16
Exibições: 2690

Pois é senhores... Agora eu preciso fornecer o nome do "group" e obter as "entity name" dos objetos que pertencem a este group. Parece que já vi algo aqui antes feito pelo Neyton. Mas não estou encontrando. Obter quantos objetos pertencem ao group foi fácil [lsp](vlax-for group (...
por ederson
Seg 08 Jun 2009 9:01:42 am
Fórum: Dúvidas
Tópico: Pegar o mesmo valor do teclado quando acessar novamente
Respostas: 8
Exibições: 2707

Troque o [lsp]"_.save"[/lsp] por [lsp]"PLINE"[/lsp]
por ederson
Seg 08 Jun 2009 8:59:39 am
Fórum: Dúvidas
Tópico: Pegar o mesmo valor do teclado quando acessar novamente
Respostas: 8
Exibições: 2707

[lsp](setq lst_alturasdospeitoris (list 130 90))[/lsp] [lsp](vlax-ldata-put "alturadospeitoris" "valores" lst_alturasdospeitoris)[/lsp] e por último: [lsp](if (vlax-ldata-get "alturadospeitoris" "valores") (alert "existe uma lista de alturas") (alert...
por ederson
Qua 03 Jun 2009 9:53:35 am
Fórum: Dúvidas
Tópico: lisp e comando "grpup"
Respostas: 16
Exibições: 2690

Dr Lau, aí experimente este:

[lsp](vlax-for group (vla-get-groups (vla-get-activedocument (vlax-get-acad-object)))
(setq lst_group (append lst_group (list (vla-get-name group))))
)[/lsp]
por ederson
Ter 02 Jun 2009 8:58:51 am
Fórum: Dúvidas
Tópico: acesso ao banco de dados
Respostas: 4
Exibições: 1315

Tem aqui no fórum alguns modelos de acesso a banco de dados access. Me parece que desenvolvido pelo Marcos e outra pelo Neyton. O Acesso não é tão direto como seria para o excel. Há a necessidade de uma string de conexão. Dê uma procurada...

Até!
por ederson
Seg 01 Jun 2009 3:41:36 pm
Fórum: Dúvidas
Tópico: lisp e comando "grpup"
Respostas: 16
Exibições: 2690

Eh... Marcelo, e o seu ficou mais "clean"... Muito bacana!
por ederson
Seg 01 Jun 2009 2:27:09 pm
Fórum: Dúvidas
Tópico: lisp e comando "grpup"
Respostas: 16
Exibições: 2690

Eh... Dr Lau, sofri na época... mas tá aí. [lsp](defun obtername_grupo (group_object / ent_name acad_reactors vlx_objetc) ;(setq group_object (car (entsel))) (setq ent_name (entget group_object)) (if (setq acad_reactors (member '(102 . "{ACAD_REACTORS") ent_name)) (while (and (setq acad_re...
por ederson
Seg 01 Jun 2009 10:51:34 am
Fórum: Autolisp / Visual Lisp
Tópico: usando uma lisp em outra lisp.
Respostas: 6
Exibições: 1918

Se entendi o que o Neyton propoem, talves isso aqui lhe ajude. [lsp](ssget ":s" (list (cons 0 "3dSolid") (cons 100 "AcDb3dSolid") (cons 8 "VIGAS - *")))[/lsp] ou [lsp](ssget ":e" (list (cons 0 "3dSolid") (cons 100 "AcDb3dSolid") (...
por ederson
Ter 26 Mai 2009 10:52:21 pm
Fórum: AutoLISP
Tópico: Lisp
Respostas: 2
Exibições: 902

[lsp](apply '+ (vl-remove (apply 'min '(5 15 15)) '(5 15 15)))[/lsp]